classification
Title: -q (quiet) option for python interpreter
Type: Stage:
Components: Interpreter Core Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: eric.araujo, georg.brandl, wojdyr
Priority: normal Keywords: patch

Created on 2007-08-13 03:33 by wojdyr, last changed 2010-12-28 18:30 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
option_q.patch wojdyr, 2007-08-13 03:33 review
Messages (8)
msg53021 - (view) Author: Marcin Wojdyr (wojdyr) Date: 2007-08-13 03:33
Implementation of feature request 1728488

Added interpreter option:

-q Do not print the version and copyright messages. These messages are also suppressed in non-interactive mode.


BTW: Above the usage_* strings in main.c there is a comment:
/* Long usage message, split into parts < 512 bytes */
Why do we have this limit? (actually one of the strings was ~570 bytes).
msg53022 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-13 06:16
I'd expect the 512 bytes limit was due to some compiler restrictions.
Whether these compilers are still in operation, I don't know.
msg53023 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-13 06:16
I'd expect the 512 bytes limit was due to some compiler restrictions.
Whether these compilers are still in operation, I don't know.
msg55249 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-24 11:40
Guido, is this okay to check in?
msg59407 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-06 21:44
Guido, ping?
msg123333 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-04 10:47
Based on the +1's in #1728488, committed in r87021, with addition to the command-line docs.
msg124806 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-12-28 17:26
Is it on purpose that no sys.flags attribute has been added for quiet?
msg124812 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-28 18:30
No, pure ignorance -- should be fixed in r87549.
History
Date User Action Args
2010-12-28 18:30:26georg.brandlsetnosy: georg.brandl, wojdyr, eric.araujo
messages: + msg124812
2010-12-28 17:26:48eric.araujosetnosy: + eric.araujo

messages: + msg124806
versions: + Python 3.2, - Python 2.6
2010-12-04 10:47:57georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg123333
2010-08-21 23:44:06georg.brandlsetassignee: georg.brandl
2009-01-06 05:06:29gvanrossumsetassignee: gvanrossum -> (no value)
2008-01-06 21:44:38georg.brandlsetmessages: + msg59407
2007-08-24 11:40:33georg.brandlsetassignee: gvanrossum
messages: + msg55249
2007-08-24 11:39:42georg.brandllinkissue1728488 superseder
2007-08-13 03:33:18wojdyrcreate